aboutsummaryrefslogtreecommitdiff
path: root/Config.in.legacy
diff options
context:
space:
mode:
authorGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-07-01 20:03:09 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-07-10 16:40:38 +0200
commitb18dca0df8a3f633e156dc18c2c698814c92baf8 (patch)
tree8adc570519a50a36118aaa5bb2e1edb38ee39089 /Config.in.legacy
parent02d85f65768e8cbc6f6e9215b30ef6b3d3b26bff (diff)
downloadbuildroot-b18dca0df8a3f633e156dc18c2c698814c92baf8.tar.gz
buildroot-b18dca0df8a3f633e156dc18c2c698814c92baf8.tar.bz2
busybox: support only one version
This commit removes the version selection for the busybox package. Busybox is very well maintained, and bugs are typically fixed in a timely fashion. Moreover, regressions are fairly unlikely in this very stable and well-tested tool. Therefore, there isn't a very compelling reason to have a version selection for Busybox since we don't accept such a version selection for the vast majority of other packages, unless there is a strong reason to do so. Consequently, this commit: * Removes the 1.19.4, 1.20.2 and 1.21.1 Busybox versions, patches and default configuration file. * Moves the 1.22.1 patches from package/busybox/1.22.1 to just package/busybox/ like all other packages. * Renames the default 1.22.1 configuration file to just busybox.config. * Adapts the busybox.mk makefile to encode the current version to use. * Adds appropriate options to Config.in.legacy. However, even though the BR2_BUSYBOX_VERSION_1_22_X is removed, we don't add a Config.in.legacy option for it, since it would cause a legacy warning for virtually *all* users as most people are currently using 1.22.x. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'Config.in.legacy')
-rw-r--r--Config.in.legacy24
1 files changed, 24 insertions, 0 deletions
diff --git a/Config.in.legacy b/Config.in.legacy
index 59c9804bf1..23962a2389 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -184,6 +184,30 @@ config BR2_GDB_VERSION_7_5
The 7.5 version of gdb has been removed. Use a newer version
instead.
+config BR2_BUSYBOX_VERSION_1_19_X
+ bool "busybox version selection has been removed"
+ select BR2_LEGACY
+ help
+ The possibility of selecting the Busybox version has been
+ removed. Use the latest version provided by the Busybox
+ package instead.
+
+config BR2_BUSYBOX_VERSION_1_20_X
+ bool "busybox version selection has been removed"
+ select BR2_LEGACY
+ help
+ The possibility of selecting the Busybox version has been
+ removed. Use the latest version provided by the Busybox
+ package instead.
+
+config BR2_BUSYBOX_VERSION_1_21_X
+ bool "busybox version selection has been removed"
+ select BR2_LEGACY
+ help
+ The possibility of selecting the Busybox version has been
+ removed. Use the latest version provided by the Busybox
+ package instead.
+
config BR2_PACKAGE_LIBV4L_DECODE_TM6000
bool "decode_tm6000"
select BR2_PACKAGE_LIBV4L_UTILS